Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 595455 - rgmanager does not remove nfs service temp directories when using nfslock=1
rgmanager does not remove nfs service temp directories when using nfslock=1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 12:38 EDT by Carlos Maiolino
Modified: 2018-11-14 14:30 EST (History)
5 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-6.13.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
create temp dirs only after the script pass the first if conditions (591 bytes, patch)
2010-05-24 12:42 EDT, Carlos Maiolino
lhh: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 32272 None None None 2012-07-31 11:42:22 EDT
Red Hat Product Errata RHBA-2011:0134 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2011-01-12 14:20:47 EST

  None (edit)
Description Carlos Maiolino 2010-05-24 12:38:02 EDT
Description of problem:

when using nfslock=1, rgmanager does not remove temp directories (statd-*) created on /tmp when they are no longer needed.

Version-Release number of selected component (if applicable):

rgmanager-2.0.52-6.el5

How reproducible:
Always

Steps to Reproduce:
1. Setup a simple NFS cluster (2-node is enough)
2. Setup a simple nfs service setting nfslock=1
3. Start nfs service in any node and statd-* directories are created on /tmp of that node.
4. Stop nfs service on the node and the statd-* directories are not removed.
  
Actual results:

Temp directories are not removed from /tmp directory

Expected results:

Directories are removed when not necessary.

Additional info:

Temp directories are created by /usr/share/cluster/svclib_nfslock script, which should remove these files at the end of the script.
But, if the script return on one of the first 'if' instructions, the temp directories are not removed.
Comment 1 Carlos Maiolino 2010-05-24 12:42:23 EDT
Created attachment 416172 [details]
create temp dirs only after the script pass the first if conditions

If the script creates the temp directories only after pass by the if conditions, the temp directories are properly removed.
Comment 2 Lon Hohberger 2010-05-26 15:49:05 EDT
The patch is correct.
Comment 5 errata-xmlrpc 2011-01-13 18:26:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0134.html

Note You need to log in before you can comment on or make changes to this bug.